<template>
    <b-modal title="Chỉnh sửa giao dịch nộp tiền" class="modal-success" v-model="modalVisible" ok-title="Xác nhận" @ok="saveInfo()">
        <div class="modal-body" v-if=" paymentDetail !== null ">
           
            <div class="form-group row">
                 <h5 class="col-form-label text-info">Số tiền </h5>
                    <b-form-input type="text" min="1000" aria-placeholder="Số tiền"  v-model="paymentDetail.amount" :formatter="formatCurrency"></b-form-input>
            </div>
            <div class="form-group row">
                <h5 for="address" class="col-form-label text-info">Mã chứng từ</h5>
                <input class="form-control" v-model="paymentDetail.reference_code" placeholder="">
            </div>
        
            <div class="form-group row">
                    <h5 for="address" class="col-form-label text-info">Ghi chú: </h5>
              <b-form-textarea id="textarea1"
                     v-model="paymentDetail.note"
                     :rows="3"
                     :max-rows="6">
    </b-form-textarea>
            </div>
        </div>
    </b-modal>
</template>
<script>
import { alerts, event } from "../../utils";
import { http } from "../../services";

export default {
  name: "edit-payment-history-detail-modal",
  data() {
    return {
      modalVisible: false,
      note: "",
      reference_code: "",
      amount: 0
    };
  },
  props: {
    paymentDetail: null
  },
  created() {},
  methods: {
    hideModal() {
      this.modalVisible = false;
    },
    showModal() {
      this.modalVisible = true;
    },
    saveInfo() {
      http.post(
        "/payment/editPaymentDetail",
        {
          detail_id: this.paymentDetail.id,
          reference_code: this.paymentDetail.reference_code,
          amount: this.paymentDetail.amount,
          note: this.paymentDetail.note
        },
        response => {
          // return response;
          // console.log(response.data.status);
          if (response.data.status) {
            alerts.success(response.data.msg);
          } else {
            alerts.warning(response.data.msg);
          }
        }
      );
    },
    formatCurrency(value, event) {
      return this.comma(value);
    }
  },
  computed: {
    formattedAmount() {
      return this.comma(this.amount);
    }
  }
};
</script>

